org.apache.poi.sl.draw.binding

## Class CTOfficeArtExtensionList

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTOfficeArtExtensionList

-     public class CTOfficeArtExtensionList
      extends java.lang.Object

  Java class for CT_OfficeArtExtensionList complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_OfficeArtExtensionList">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://schemas.openxmlformats.org/drawingml/2006/main}EG_OfficeArtExtensionList"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CTOfficeArtExtension>` | `ext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTOfficeArtExtensionList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<CTOfficeArtExtension>` | `getExt()` Gets the value of the ext property.
    `boolean` | `isSetExt()`
    `void` | `unsetExt()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ext

          protected java.util.List<CTOfficeArtExtension> ext

  - ### Constructor Detail

    - #### CTOfficeArtExtensionList

          public CTOfficeArtExtensionList()

  - ### Method Detail

    - #### getExt

          public java.util.List<CTOfficeArtExtension> getExt()

      Gets the value of the ext property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ext property.

      For example, to add a new item, do as follows:

              getExt().add(newItem);

      Objects of the following type(s) are allowed in the list `CTOfficeArtExtension`

    - #### isSetExt

          public boolean isSetExt()

    - #### unsetExt

          public void unsetExt()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.